Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Protected Methods | Inherited Methods | [Expand All]
public final class

# InvitationBuffer

extends DataBuffer<T>

java.lang.Object
↳ | com.google.android.gms.common.data.DataBuffer<T>
| ↳ | com.google.android.gms.games.multiplayer.InvitationBuffer

## Class Overview

`DataBuffer` implementation containing Invitation data.

## Summary

Public Methods
final T | get(int position) Get the item at the specified position.
int | getCount()

Protected Methods
Invitation | getEntry(int rowIndex, int numChildren) Subclasses must implement this method to get an entry for the provided rowIndex.
String | getPrimaryDataMarkerColumn() Subclasses must implement this method to indicate a column in the data holder that can be used to determine where the boundaries between the primary data entities occur.

[Expand] Inherited Methods

From class com.google.android.gms.common.data.DataBuffer

void | close()
int | describeContents()
abstract T | get(int position) Get the item at the specified position.
int | getCount()
boolean | isClosed()
Iterator<T> | iterator()

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface java.lang.Iterable

abstract Iterator<T> | iterator()

## Public Methods

#### public final T get (int position)

Get the item at the specified position. Note that the objects returned from subsequent invocations of this method for the same position may not be identical objects, but will be equal in value. In other words:

`buffer.get(i) == buffer.get(i)` may return false.

`buffer.get(i).equals(buffer.get(i))` will return true.

##### Parameters

position | The position of the item to retrieve.

##### Returns

- the item at `position` in this buffer.

#### public int getCount ()

## Protected Methods

#### protected Invitation getEntry (int rowIndex, int numChildren)

Subclasses must implement this method to get an entry for the provided rowIndex.

##### Parameters

rowIndex | Row index of underlying DataHolder to construct an entry for.
numChildren | The number of children underneath the given entry.

##### Returns

- Appropriate entry for this row.

#### protected String getPrimaryDataMarkerColumn ()

Subclasses must implement this method to indicate a column in the data holder that can be used to determine where the boundaries between the primary data entities occur.

Note that the column must contain a String value.

##### Returns

- The name of a column in the data holder that is guaranteed to change when the primary data type transitions to another instance (typically an ID of the primary data type).